<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="encryptFile_blowfish" xml:lang="fr"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate: 2009-08-20 13:30:00 +0200 $</pubdate>
  </info>

  <refnamediv>
    <refname>encryptFile_blowfish_cbc</refname>

    <refpurpose>Chiffrement de fichier Blowfish</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Séquence d'appel</title>

    <synopsis>encryptFile_blowfish(inputFile, pKey, key, mode, iv, outputFile)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Description</title>

    <para>Cette fonction chiffre un fichier selon l'algorithme Blowfish. La clé utilisée est ensuite chiffrée par RSA.</para>

    <para>- "inputFile" correspond au fichier à chiffrer</para><para>- "pKey" correspond au fichier contenant la clé publique utilisée par le RSA</para><para>- "key" correspond au fichier contenant la clé utilisée par l'algorithme Blowfish</para><para>- "mode" est un entier qui correspond à un mode (entrez "0" pour le mode ECB, "1" pour le mode CBC, "2" pour le mode OFB, "3" pour le mode CFB, "4" pour le mode CTR). Si "mode" est remplacé par "", le mode ECB sera utilisé. Aucun vecteur d'initialisation n'est utilisé pour le mode ECB (ie: entrez "").</para><para>- "iv" correspond au fichier contenant le vecteur d'initialisation</para><para>- "outputFile" est le nom du fichier chiffré. Si "outputFile" correspond à  "", le nom par défaut "cipher" sera utilisé.</para>

    <para>Le résultat de cette fonction donne deux fichiers : "ouputFile" et "cipherKey". "outputFile" est le résultat chiffré de "inputFile" et "cipherKey" correspond à la clé chiffrée par RSA. Ces deux fichiers sont créés dans le répertoire courant.</para>
  </refsection>

  <refsection>
    <title>Exemples</title>

    <programlisting role="example">
    	keyGen_blowfish("sampleKey", "sampleIV", "samplePublicKey", "samplePrivateKey")
    	encryptFile_blowfish("sampleKey.sci", "samplePublicKey", "sampleKey", "0", "sampleIV", "encryptedKey")
    </programlisting>
  </refsection>

  <refsection>
    <title>Auteurs</title>

    <simplelist type="vert">
      <member>Florent Lebeau</member>
    </simplelist>
  </refsection>
</refentry>

